Skip to main content
POST
/
v1
/
portfolios
/
{portfolio_id}
/
wallets
Create Wallet
curl --request POST \
  --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "symbol": "<string>",
  "wallet_type": "VAULT",
  "idempotency_key": "<string>",
  "network_family": "NETWORK_FAMILY_UNSPECIFIED",
  "network": {
    "id": "<string>",
    "type": "<string>"
  }
}
'
{
  "activity_id": "<string>",
  "name": "<string>",
  "symbol": "<string>",
  "wallet_type": "VAULT",
  "network_family": "NETWORK_FAMILY_UNSPECIFIED"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Supported TypesCurrently, this endpoint can be used only to create vault wallets and onchain wallets that do not require key generation. The first EVM and first Solana onchain wallet in a portfolio must be created prior to creating subsequent EVM or Solana wallets in a portfolio via API.
Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
WalletsService walletsService = PrimeServiceFactory.createWalletsService(client);

CreateWalletRequest request = new CreateWalletRequest.Builder()
    .portfolioId("PORTFOLIO_ID_HERE")
    .type(WalletType.VAULT)
    .name("PRIME_API_EXAMPLE")
    .symbol("ETH")
    .build();

CreateWalletResponse response = walletsService.createWallet(request);
For more information, please visit the Prime Java SDK.

Path Parameters

portfolio_id
string
required

Portfolio ID

Body

application/json
name
string
required
symbol
string
required
wallet_type
enum<string>
  • VAULT: A crypto vault
  • TRADING: A trading wallet
  • WALLET_TYPE_OTHER: Other wallet types (like consumer, etc)
  • QC: A QC Wallet
  • ONCHAIN: An Onchain wallet
Available options:
VAULT,
TRADING,
WALLET_TYPE_OTHER,
QC,
ONCHAIN
idempotency_key
string
network_family
enum<string>
default:NETWORK_FAMILY_UNSPECIFIED
Available options:
NETWORK_FAMILY_UNSPECIFIED,
NETWORK_FAMILY_EVM,
NETWORK_FAMILY_SOLANA
network
object

Response

200 - application/json

A successful response.

activity_id
string
name
string
symbol
string
wallet_type
enum<string>
  • VAULT: A crypto vault
  • TRADING: A trading wallet
  • WALLET_TYPE_OTHER: Other wallet types (like consumer, etc)
  • QC: A QC Wallet
  • ONCHAIN: An Onchain wallet
Available options:
VAULT,
TRADING,
WALLET_TYPE_OTHER,
QC,
ONCHAIN
network_family
enum<string>
default:NETWORK_FAMILY_UNSPECIFIED
Available options:
NETWORK_FAMILY_UNSPECIFIED,
NETWORK_FAMILY_EVM,
NETWORK_FAMILY_SOLANA